import buildIndex from './buildIndex.js';
import {createRequire} from 'module';
import { resolve } from 'path';
import {fileURLToPath} from 'url';
const require = createRequire(import.meta.url)
const pkg = require("../package.json");
const __dirname = resolve(fileURLToPath(import.meta.url), '..');

const run = () =>
  Promise.all([
    buildIndex({
      format: "cjs",
      outfile: resolve(__dirname, "..", pkg.main),
    }),
    buildIndex({
      format: "esm",
      outfile: resolve(__dirname, "..", pkg.module),
    }),
    buildIndex({
      format: "iife",
      outfile: resolve(__dirname, "..", pkg.unpkg),
    }),
  ]);

run();